#include "Asm86.h"                  ;flags, key equates...
#include "Ram86.h"                  ;memory locations
#include "Rom86.h"                  ;ROM calls

;.plugin lite86;                     ;the ultimate compression rutine

_ioprompt   =$c324                  ;\
_asap_ind   =$d623                  ; > Not included in includes!
_getcode    =$4068                  ;/

.org _asm_exec_ram 

    nop                             ;no operation so...
    jp Start                        ;jump to Start
    .dw 0                           ;type of input
    .dw String1                     ;print string

String1:    .db "Volume",0

Start:
    call _flushallmenus             ;clears all key codes
    call _runindicon                ;turn off run indicator
    call _clrScrn                   ;clears the lcd and graph screen
    ld hl,(256*6)+3                 ;loads coordinates into hl
    ld (_curRow),hl                 ;loads _curRow with hl
    ld hl,String1                   ;loads hl with string
    call _puts                      ;print string
    ld hl,String2                   ;string to print
    ld bc,256*58+6                  ;column 7, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    call MenuRoutine2               ;goes to MenuRoutine2
GetKey1:
    call _getcode                   ;stores key pressed into a
    cp K_EXIT                       ;compares a with EXIT
    jp z,Exit                       ;if EXIT jump to Exit
    cp K_F1                         ;compares a with F1
    jp z,Cube                       ;if F1 jump to Cube
    cp K_F2                         ;compares a with F2
    jp z,RectP                      ;if F2 jump to RectP
    cp K_F3                         ;compares a with F3
    jp z,Pyra                       ;if F2 jump to Pyra
    cp K_F4                         ;compares a with F4
    jp z,Cylin                      ;if F2 jump to Cylin
    cp K_F5                         ;compares a with F5
    jp z,Cone                       ;if F2 jump to Cone
    cp K_MORE                       ;compares a with MORE
    jr z,MoreMenu                   ;if MORE jump to MoreMenu
    jr GetKey1                      ;relative jump to GetKey1

MoreMenu:
    call _clrScrn                   ;clears the lcd and graph screen
    ld hl,(256*6)+3                 ;loads coordinates into hl
    ld (_curRow),hl                 ;loads _curRow with hl
    ld hl,String1                   ;loads hl with string
    call _puts                      ;print string
    ld hl,String3                   ;string to print
    ld bc,256*58+4                  ;column 5, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    call MenuRoutine1               ;goes to MenuRoutine1
GetKey2:
    call _getcode                   ;stores key pressed into a
    cp K_EXIT                       ;compares a with EXIT
    jp z,Exit                       ;if EXIT jump to Exit
    cp K_F1                         ;compares a with F1
    jp z,Spher                      ;if F1 jump to Spher
    cp K_F2                         ;compares a with F1
    jp z,VolEq                      ;if F1 jump to VolEq
    cp K_F3                         ;compares a with F1
    jp z,Back                       ;if F1 jump to Back
    cp K_F4                         ;compares a with F1
    jp z,Exit                       ;if F1 jump to Exit
    cp K_MORE                       ;compares a with MORE
    jp z,Start                      ;if MORE jump to Start
    jr GetKey2                      ;relative jump to GetKey1

Cube:
    call _clrScrn                   ;clears the lcd and graph screen
    call _homeup                    ;moves cursor to upper left corner
    ld hl,E1                        ;string to print
    call Input                      ;goes to Input
    call _stoX
    ld de,Picture1                  ;load picture into de
    call Text1                      ;goes to Text1
    ld hl,String7                   ;string to print
    call _vputs                     ;prints in small text
    ld hl,Equ7                      ;string to print
    call Text2                      ;goes to Text2
    ld hl,Equ1                      ;string to print
    call _vputs                     ;prints in small text
    ld hl,String15                  ;string to print
    ld bc,256*24+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    call DispAnswer
    call _FPSQUARE
    ld a,6
    call _setXXop2
    rst 28h
    call _stoY
    call _rclX
    ld a,3
    call _setXXop2
    call _YTOX
    ld hl,String16                  ;string to print
    ld bc,256*36+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    call DispAnswer
    call _rclY
    ld hl,String17
    ld bc,256*42+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    call DispAnswer
    call _getkey
    jp Start

RectP:
    call _clrScrn                   ;clears the lcd and graph screen
    call _homeup                    ;moves cursor to upper left corner
    ld hl,E1                        ;string to print
    call Input                      ;goes to Input
    call _stoX
    ld hl,E2
    call Input
    call _stoY
    ld hl,E3
    call Input
    call _op1toop6
    ld de,Picture2                  ;load picture into de
    call Text1                      ;goes to Text1
    ld hl,String8                   ;string to print
    call _vputs                     ;prints in small text
    ld hl,Equ8                      ;string to print
    call Text2                      ;goes to Text2
    ld hl,Equ2                      ;string to print
    call _vputs                     ;prints in small text
    call _rclX
    ld bc,256*24+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String18                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _rclY
    ld bc,256*30+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String19                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _op6toop1
    ld bc,256*36+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String20                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _rclX
    rst 08h
    call _rclY
    rst 28h
    call _op1toop4
    call _rclY
    rst 30h
    call _op6toop2
    rst 28h
    call _op4toop2
    rst 30h
    rst 08h
    rst 30h
    ld bc,256*54+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String17                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _rclX
    rst 08h
    call _rclY
    rst 28h
    call _op6toop2
    rst 28h
    ld bc,256*48+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String16                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _getkey
    jp Start
    
Pyra:
    call _clrScrn                   ;clears the lcd and graph screen
    call _homeup                    ;moves cursor to upper left corner
    ld hl,E1                        ;string to print
    call Input                      ;goes to Input
    call _stoX
    ld hl,E2
    call Input
    call _stoY
    ld hl,E3
    call Input
    call _op1toop6
    ld de,Picture3                  ;load picture into de
    call Text1                      ;goes to Text1
    ld bc,256*0+0                   ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String6                   ;string to print
    call _vputs                     ;prints in small text
    call Text2                      ;goes to Text2
    ld hl,Equ3                      ;string to print
    call _vputs                     ;prints in small text
    call _rclX
    ld bc,256*18+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String18                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _rclY
    ld bc,256*24+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String19                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _op6toop1
    ld bc,256*30+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String20                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _rclX
    rst 08h
    call _rclY
    rst 28h
    call _op6toop2
    rst 28h
    ld a,3
    call _setXXop2
    call _FPDIV
    ld bc,256*42+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String16                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _getkey
    jp Start
    
Cylin:
    call _clrScrn                   ;clears the lcd and graph screen
    call _homeup                    ;moves cursor to upper left corner
    ld hl,E4                        ;string to print
    call Input                      ;goes to Input
    call _stoX
    ld hl,E3
    call Input
    call _stoY
    ld de,Picture4                  ;load picture into de
    call Text1                      ;goes to Text1
    ld hl,String9                   ;string to print
    call _vputs                     ;prints in small text
    ld hl,Equ9                      ;string to print
    call Text2                      ;goes to Text2
    ld hl,Equ4                      ;string to print
    call _vputs                     ;prints in small text
    call _rclX
    ld bc,256*24+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String21                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _rclY
    ld bc,256*30+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String20                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _rclX
    call _FPSQUARE
    call _op1toop4
    call _rclX
    rst 08h
    call _rclY
    rst 28h
    call _op4toop2
    rst 30h
    ld hl,Pie2                      ;load hl with Pie2
    call _mov10toop2                ;move 10 bytes @ hl to OP2
    rst 28h
    ld hl,String17
    ld bc,256*48+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    call DispAnswer
    call _rclX
    call _FPSQUARE
    rst 08h
    call _rclY
    rst 28h
    ld hl,Pie1                      ;load hl with Pie1
    call _mov10toop2                ;move 10 bytes @ hl to OP2
    rst 28h
    ld hl,String16                  ;string to print
    ld bc,256*42+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    call DispAnswer
    call _getkey
    jp Start
    
Cone:
    call _clrScrn                   ;clears the lcd and graph screen
    call _homeup                    ;moves cursor to upper left corner
    ld hl,E4                        ;string to print
    call Input                      ;goes to Input
    call _stoX
    ld hl,E3
    call Input
    call _stoY
    ld de,Picture5                  ;load picture into de
    call Text1                      ;goes to Text1
    ld hl,String10                  ;string to print
    call _vputs                     ;prints in small text
    ld hl,Equ10                     ;string to print
    call Text2                      ;goes to Text2
    ld hl,Equ5                      ;string to print
    call _vputs                     ;prints in small text
    call _rclX
    ld bc,256*24+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String21                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _rclY
    ld bc,256*30+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String20                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _rclX
    call _FPSQUARE
    call _op1toop4
    call _rclY
    call _FPSQUARE
    call _op4toop2
    rst 30h
    call _SQROOT
    rst 08h
    call _rclX
    rst 30h
    call _op1toop4
    call _rclX
    ld hl,Pie1                      ;load hl with Pie1
    call _mov10toop2                ;move 10 bytes @ hl to OP2
    rst 28h
    call _op4toop2
    rst 28h
    call _op1toop4
    call _rclX
    call _FPSQUARE
    ld hl,Pie1                      ;load hl with Pie1
    call _mov10toop2                ;move 10 bytes @ hl to OP2
    rst 28h
    call _op4toop2
    rst 30h
    ld hl,String17
    ld bc,256*48+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    call DispAnswer
    call _rclX
    call _FPSQUARE
    rst 08h
    call _rclY
    rst 28h
    ld hl,Pie1                      ;load hl with Pie1
    call _mov10toop2                ;move 10 bytes @ hl to OP2
    rst 28h
    ld a,3
    call _setXXop2
    call _FPDIV
    ld hl,String16                  ;string to print
    ld bc,256*42+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    call DispAnswer
    call _getkey
    jp Start
    
Spher:
    call _clrScrn                   ;clears the lcd and graph screen
    call _homeup                    ;moves cursor to upper left corner
    ld hl,E4                        ;string to print
    call Input                      ;goes to Input
    call _stoX
    ld de,Picture6                  ;load picture into de
    call Text1                      ;goes to Text1
    ld hl,String11                  ;string to print
    call _vputs                     ;prints in small text
    ld hl,Equ11                     ;string to print
    call Text2                      ;goes to Text2
    ld hl,Equ6                      ;string to print
    call _vputs                     ;prints in small text
    call _rclX
    ld bc,256*24+0                  ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    ld hl,String21                  ;string to print
    call _vputs                     ;prints in small text
    call DispAnswer                 ;goes to DispAnswer
    call _rclX
    call _FPSQUARE
    call _op1toop4
    ld a,4
    call _setXXop1
    ld hl,Pie1                      ;load hl with Pie1
    call _mov10toop2                ;move 10 bytes @ hl to OP2
    rst 28h
    call _op4toop2
    rst 28h
    ld hl,String17
    ld bc,256*42+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    call DispAnswer
    ld a,3
    call _setXXop2
    call _rclX
    call _YTOX
    call _op1toop4
    ld a,3
    call _setXXop2
    ld a,4
    call _setXXop1
    call _FPDIV
    ld hl,Pie1                      ;load hl with Pie1
    call _mov10toop2                ;move 10 bytes @ hl to OP2
    rst 28h
    call _op4toop2
    rst 28h
    ld hl,String16                  ;string to print
    ld bc,256*36+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    call DispAnswer
    call _getkey
    jp Start
    
VolEq:
    call _clrScrn                   ;clears the lcd and graph screen
    ld hl,String22                  ;string to print
    ld bc,256*0+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    
    ld hl,String7                   ;string to print
    ld bc,256*12+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    
    ld hl,String12                  ;string to print
    ld bc,256*18+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    
    ld hl,String13                  ;string to print
    ld bc,256*24+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    
    ld hl,String10                  ;string to print
    ld bc,256*30+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    
    ld hl,String9                   ;string to print
    ld bc,256*36+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    
    ld hl,String11                  ;string to print
    ld bc,256*42+0                  ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    
    ld hl,Equ1                      ;string to print
    ld bc,256*12+39                 ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    
    ld hl,Equ2                      ;string to print
    ld bc,256*18+39                 ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    
    ld hl,Equ3                      ;string to print
    ld bc,256*24+39                 ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    
    ld hl,Equ5                      ;string to print
    ld bc,256*30+39                 ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    
    ld hl,Equ4                      ;string to print
    ld bc,256*36+39                 ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    
    ld hl,Equ6                      ;string to print
    ld bc,256*42+39                 ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    call _getkey
    jp Start

Text1:
    call decompV
    ld hl,String4                   ;string to print
    ld bc,256*55+60                 ;column 61, row 59
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return
    ld bc,256*0+0                   ;column 1, row 2
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs                     ;print it and return  ret
    ret

Text2:
    ld bc,256*18+0                  ;column 19, row 1
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs
    ld hl,String14
    ld bc,256*12+0                  ;column 19, row 1
    ld (_penCol),bc                 ;loads c into _penCol
    call _vputs
    ret


Input:
    ld de,_ioprompt                 ;$c324 - string storage for display when prompte
    call _mov10b                    ;$427b - move 10 bytes from hl to de
    ld a,$0d                        ;type of input
                                    ;$0d - # value
                                    ;$0c - string
    ld (_asap_ind),a                ;$d623 - tell ti86 what kind to be inputted
    jp _exec_pg3                    ;$5714 - ti86 os input
                                    ;the number inputted is always stored to OP1
    ret                             ;return to call

DispAnswer:
    ld d,6
    call _ROUND
    ld a,48                         ;loads a with 48
    call _formReal                  ;forms answer to real #
    ld hl,_OP3                      ;loads answer into hl
    call _vputs                     ;prints answer
    ret                             ;return to call

Back:
    ld hl,Prgm1-1                   ;loads hl with prgm name to execute
    rst 20h                         ;op1 = name of 2nd asm prog to call
    rst 10h                         ;call _findsym, see if variable exists
    jr c,Exit                       ;if not jump to Exit
    jp _exec_assembly               ;execute prgm in op1

Exit:
    res 3,(iy+5)                    ;reverts text back to black on white
    call _clrScrn                   ;clears lcd and graph screen
    call _homeup                    ;moves cursor to upper left
    ret                             ;return that exits the program

#include "Menu86.asm"
#include "BMP2ASM.asm"

Pie1:                               ;Pie
    .db $00,$00,$FC,$31,$41,$59,$26,$53,$58,$97

Pie2:                               ;Pie * 2
    .db $00,$00,$FC,$62,$83,$18,$53,$07,$17,$94

String2:    .db "Cube       RectP        Pyra        Cylin         Cone",0
String3:    .db "Spher     VolEq        Back          Exit",0
String4:    .db "(SA=  Surface Area)",0
String5:    .db "Volume and SA of a ",0
String6:    .db "Volume of a Pyramid",0
String7:    .db "Cube",0
String8:    .db "Rectangular Prism",0
String9:    .db "Cylinder",0
String10:   .db "Cone",0
String11:   .db "Sphere",0
String12:   .db "Rect Prism",0
String13:   .db "Pyramid",0
String14:   .db "vol",0
String15:   .db "Side Length=    ",0
String16:   .db "Volume:     ",0
String17:   .db "Surface Area:  ",0
String18:   .db "Length=     ",0
String19:   .db "Width=     ",0
String20:   .db "Height=     ",0
String21:   .db "Radius=     ",0
String22:   .db "Volume Equations",0

Equ1:   .db "= s^3",0
Equ2:   .db "= lwh",0
Equ3:   .db "= lwh/3",0
Equ4:   .db "= ",196,"r",18,"h",0
Equ5:   .db "= 1/3",196,"r",18,"h",0
Equ6:   .db "= 4/3",196,"r^3",0
Equ7:   .db "SA=6s",18,0
Equ8:   .db "SA=2lw+2lh+2wh",0
Equ9:   .db "SA=2rh",196,"+2",196,"r",18,0
Equ10:  .db "SA=",196,"r",16,"r",18,"+h",18,"+",196,"r",18,0
Equ11:  .db "SA=4",196,"r",18,0

E1:     .db "Length:",0
E2:     .db "Width:",0
E3:     .db "Height:",0
E4:     .db "Radius:",0
Prgm1:  .db 5,"Belch"

Picture1:
  .db $B7, $00, $FF, $B7, $00, $FF, $B7, $00, $4E, $0F, $0E, $09, $B7, $08, $16, $0C
  .db $03, $00, $00, $00, $01, $01, $00, $01, $B7, $00, $1E, $FF, $00, $80, $40, $30
  .db $0C, $03, $B7, $00, $14, $C0, $30, $0C, $83, $00, $80, $80, $B7, $00, $1E, $FF
  .db $B7, $00, $06, $FF, $B7, $80, $07, $B0, $A0, $90, $B0, $B7, $80, $0C, $FF, $B7
  .db $00, $20, $FF, $B7, $00, $06, $FF, $B7, $00, $17, $FF, $B7, $00, $20, $F0, $0C
  .db $03, $B7, $00, $04, $FF, $B7, $00, $17, $FF, $00, $00, $60, $40, $20, $60, $B7
  .db $00, $1D, $C0, $30, $0C, $03, $FF, $B7, $00, $17, $FF, $B7, $00, $27, $B7, $80
  .db $19, $B7, $00, $15

Picture2:
  .db $B7, $00, $FF, $B7, $00, $D2, $B7, $01, $17, $B7, $00, $29, $FF, $3C, $03, $B7
  .db $00, $0B, $B7, $01, $05, $00, $00, $00, $C0, $3C, $03, $00, $88, $A8, $A8, $50
  .db $B7, $00, $22, $FF, $00, $C0, $3F, $B7, $08, $0B, $88, $48, $48, $48, $B7, $08
  .db $05, $C8, $3F, $B7, $00, $26, $FF, $00, $00, $FF, $B7, $00, $15, $FF, $B7, $00
  .db $26, $FF, $00, $00, $FF, $B7, $00, $15, $FF, $00, $00, $30, $B7, $10, $04, $B7
  .db $00, $1F, $FF, $00, $00, $FF, $B7, $00, $15, $FF, $B7, $00, $26, $FF, $00, $00
  .db $FF, $B7, $00, $15, $FF, $B7, $00, $26, $F0, $0F, $00, $FF, $B7, $00, $15, $FF
  .db $B7, $00, $28, $F0, $FE, $B7, $02, $15, $FE, $B7, $00, $16

Picture3:
  .db $B7, $00, $FF, $B7, $00, $E0, $01, $01, $B7, $00, $05, $11, $15, $15, $0A, $B7
  .db $00, $32, $03, $1C, $60, $80, $00, $80, $80, $40, $40, $20, $20, $10, $10, $09
  .db $0A, $07, $B7, $00, $2D, $03, $1C, $60, $80, $B7, $00, $05, $01, $02, $04, $18
  .db $20, $40, $80, $00, $00, $FF, $B7, $00, $2A, $03, $1C, $60, $80, $01, $02, $04
  .db $08, $10, $20, $40, $80, $B7, $00, $09, $FF, $B7, $00, $27, $03, $1F, $65, $89
  .db $10, $20, $C1, $01, $01, $01, $00, $00, $B7, $01, $04, $00, $00, $B7, $01, $04
  .db $00, $00, $FF, $00, $01, $B7, $00, $26, $80, $40, $20, $10, $08, $04, $02, $01
  .db $B7, $00, $05, $20, $30, $28, $28, $28, $B7, $00, $05, $FF, $00, $B7, $80, $05
  .db $B7, $00, $2A, $80, $40, $20, $18, $04, $02, $01, $B7, $00, $08, $FF, $B7, $00
  .db $37, $80, $40, $20, $10, $08, $04, $02, $01, $FF, $B7, $00, $3F, $80, $B7, $00
  .db $15

Picture4:
  .db $B7, $00, $FF, $B7, $00, $FF, $B7, $00, $53, $B7, $01, $1D, $B7, $00, $1E, $07
  .db $18, $20, $C0, $80, $B7, $00, $04, $80, $C0, $20, $18, $07, $B7, $00, $0B, $07
  .db $18, $20, $C0, $80, $B7, $00, $04, $80, $C0, $20, $18, $07, $B7, $00, $18, $3F
  .db $C0, $B7, $00, $0D, $FF, $B7, $00, $09, $FF, $B7, $00, $06, $01, $B7, $00, $06
  .db $80, $7F, $B7, $00, $17, $F8, $07, $B7, $00, $0C, $03, $FC, $B7, $00, $09, $FC
  .db $03, $B7, $00, $05, $FF, $00, $00, $28, $30, $20, $20, $0F, $F0, $B7, $00, $18
  .db $80, $60, $10, $0C, $04, $B7, $02, $04, $06, $0E, $12, $62, $82, $B7, $02, $0B
  .db $82, $62, $12, $0E, $06, $02, $FE, $02, $02, $04, $0C, $10, $60, $80, $B7, $00
  .db $2C, $80, $C0, $A0, $A0, $A0, $B7, $00, $5D

Picture5:
  .db $B7, $00, $FF, $B7, $00, $FF, $B7, $00, $6C, $B7, $01, $04, $B7, $00, $2D, $01
  .db $01, $02, $02, $04, $04, $08, $08, $10, $10, $27, $38, $60, $C0, $80, $80, $00
  .db $00, $00, $80, $C0, $20, $18, $07, $B7, $00, $19, $01, $03, $03, $05, $04, $08
  .db $08, $11, $11, $21, $21, $40, $40, $81, $81, $01, $01, $00, $00, $B7, $01, $04
  .db $00, $FF, $B7, $01, $04, $00, $00, $01, $B7, $00, $06, $80, $7F, $B7, $00, $1A
  .db $80, $80, $40, $40, $20, $20, $10, $10, $08, $08, $04, $04, $02, $02, $01, $21
  .db $30, $28, $28, $28, $00, $00, $FC, $03, $B7, $00, $05, $E7, $00, $00, $50, $60
  .db $40, $40, $0F, $F0, $B7, $00, $2A, $80, $80, $40, $40, $20, $20, $10, $90, $68
  .db $18, $0C, $04, $02, $9E, $02, $02, $04, $0C, $10, $60, $80, $B7, $00, $8E

Picture6:
  .db $B7, $00, $FF, $B7, $00, $FF, $B7, $00, $1C, $01, $01, $02, $B7, $04, $04, $02
  .db $02, $01, $01, $B7, $00, $31, $03, $0C, $30, $40, $80, $B7, $00, $0A, $C0, $20
  .db $18, $06, $01, $B7, $00, $29, $03, $3C, $C0, $B7, $00, $13, $80, $7C, $03, $B7
  .db $00, $27, $FF, $B7, $00, $0B, $01, $B7, $00, $0B, $FF, $B7, $00, $27, $FF, $B7
  .db $00, $0B, $E7, $B7, $00, $0B, $FF, $B7, $00, $28, $F8, $06, $01, $B7, $00, $08
  .db $9E, $00, $00, $28, $30, $20, $20, $00, $00, $03, $0C, $F0, $B7, $00, $2B, $80
  .db $60, $10, $0C, $02, $02, $01, $01, $00, $7C, $00, $00, $01, $02, $06, $08, $30
  .db $C0, $B7, $00, $36, $B7, $80, $04, $B7, $00, $1F

.end
END